# Crédits pour les codes alternatifs des territoires

Tables de correspondance entre les codes ISO des subdivions et les autres codes nationaux ou communautaires.
Les tables sont fournies via des fichiers CSV (sépateur ";").

## FR - Codes INSEE des régions et départements



## FR - Codes NUTS des régions et départements

Le fichier :
* iso3166alternates_de_nuts.csv

## BE - Codes INS

Le fichier :
* iso3166alternates_be_ins.csv

Les fichiers sont construits à partir du fichier source Excel `REFNIS.xlsx` (date de publication : 01/01/2019) fourni par Statbel et disponible à l'adresse https://statbel.fgov.be/sites/default/files/Over_Statbel_FR/Nomenclaturen/REFNIS_2019.xls.
Pour les régions et provinces, on peut lire les codes INS mais il faut créer à la main la correspondance avec le code ISO.

Page : https://statbel.fgov.be/fr/propos-de-statbel/methodologie/classifications/geographie

## DE - Codes ARS

Le fichier :
* iso3166alternates_de_ars.csv

Les fichiers sont construits à partir du fichier source Excel `AuszugGV1QAktuell.xlsx` (date de publication : 24/02/2021) fourni par l'OFS et disponible à l'adresse https://www.destatis.de/DE/Themen/Laender-Regionen/Regionales/Gemeindeverzeichnis/Administrativ/Archiv/GVAuszugQ/AuszugGV1QAktuell.xlsx?__blob=publicationFile.
Pour les lander, on peut lire les codes ARS du land (deux digits) mais il faut créer à la main la correspondance avec le code ISO.

Page : https://www.destatis.de/EN/Themes/Countries-Regions/Regional-Statistics/OnlineListMunicipalities/_inhalt.html

## DE - Codes NUTS des lander

Le fichier :
* iso3166alternates_de_nuts.csv

## CH - Codes OFS

Le fichier :
* iso3166alternates_ch_ofs.csv

Le fichier est construit à partir du fichier source Excel `be-b-00.04-agv-01.xlsx` (date de publication : 17/12/2020) fourni par l'OFS et disponible à l'adresse https://www.bfs.admin.ch/bfsstatic/dam/assets/15264524/master.
* Pour les cantons, pour construire le fichier il suffit de créer une colonne en concaténant les informations de l'onglet KT de la
façon suivante : `=CONCATENER("CH-";B2;";code_ktnr;";TEXTE(A2;"00"))`.

Page : https://www.bfs.admin.ch/bfs/fr/home/bases-statistiques/repertoire-officiel-communes-suisse.html

## CH - Codes NUTS des cantons

Le fichier :
* iso3166alternates_ch_nuts.csv

Le plus simple est d'utiliser le tableau de comparaison sur la page https://en.wikipedia.org/wiki/Data_codes_for_Switzerland#Cantons de wikipedia.
En copiant le tableau dans un fichier excel et en utilisant une formule de concaténation on peut reproduire le fichier csv projeté.

## US - Codes FIPS des états

